All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.services.information
Class IdentityInfo

    com.sas.services.information.IdentityInfo

All Implemented Interfaces:
  java.io.Serializable

    public class IdentityInfo

implements java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`IdentityInfo()`

Method Summary
`java.lang.String` | `getAuthenticatedUserId()`
`java.lang.String` | `getName()`
`java.util.List` | `getPowerSource()`
`java.lang.String` | `getReposid()`
`java.lang.String` | `getType()`
`java.util.List` | `getUserClass()`
`void` | `setAuthenticatedUserId(java.lang.String authenticatedUserId)`
`void` | `setName(java.lang.String name)`
`void` | `setPowerSource(java.lang.String powerSource)`
`void` | `setReposid(java.lang.String reposid)`
`void` | `setType(java.lang.String type)`
`void` | `setUserClass(java.lang.String userClass)`

Constructor Detail

### IdentityInfo

    public IdentityInfo()

Method Detail

### getUserClass

    public final java.util.List getUserClass()

### setUserClass

    public final void setUserClass(java.lang.String userClass)

### getAuthenticatedUserId

    public final java.lang.String getAuthenticatedUserId()

### setAuthenticatedUserId

    public final void setAuthenticatedUserId(java.lang.String authenticatedUserId)

### getName

    public final java.lang.String getName()

### setName

    public final void setName(java.lang.String name)

### getType

    public final java.lang.String getType()

### setType

    public final void setType(java.lang.String type)

### getReposid

    public final java.lang.String getReposid()

### setReposid

    public final void setReposid(java.lang.String reposid)

### getPowerSource

    public final java.util.List getPowerSource()

### setPowerSource

    public final void setPowerSource(java.lang.String powerSource)

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.